Package org.opensaml.saml.saml2.assertion

# Interface ConditionValidator

All Known Implementing Classes:
  `AudienceRestrictionConditionValidator`, `DelegationRestrictionConditionValidator`, `OneTimeUseConditionValidator`, `ProxyRestrictionConditionValidator`

@ThreadSafe public interface ConditionValidator
A validator that evaluates a `Condition` within an `Assertion`.

## Method Summary

Modifier and Type
Method
Description
`QName`
`getServicedCondition()`
Gets the element or schema type QName of the condition handled by this validator.
`ValidationResult`
`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.

## Method Details

### getServicedCondition

@Nonnull QName getServicedCondition()
Gets the element or schema type QName of the condition handled by this validator.

Returns:
  element or schema type QName of the statement handled by this validator

### validate

@Nonnull ValidationResult validate(@Nonnull Condition condition, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Validates the given condition.

Parameters:
  `condition` - condition to be evaluated
  `assertion` - assertion bearing the condition
  `context` - current Assertion validation context
Returns:
  the result of the condition evaluation
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation